Bug 812700 - NetworkManager not provide switching WiFi/WiMax modes on combo cards (Intel 5150/5350/6250)
NetworkManager not provide switching WiFi/WiMax modes on combo cards (Intel 5...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-15 22:16 EDT by Mikhail
Modified: 2013-11-12 14:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-12 10:54:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of NetworkManager applet (179.41 KB, image/png)
2012-10-25 11:18 EDT, Mikhail
no flags Details
/var/log/messages (40.00 KB, application/x-7z-compressed)
2012-10-25 11:50 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2012-04-15 22:16:46 EDT
Description of problem:
NetworkManager not provide switching WiFi/WiMax modes on combo cards (Intel 5150/5350/6250)
Comment 1 Jirka Klimes 2012-04-16 08:36:46 EDT
What do you mean by switching modes? Could you elaborate on that?
Do you mean that enabling/disabling WiFi/WiMax does not work? Then, how do you
switch the states, via software switches (like ON/OFF in gnome-shell or nm-applet's  'Enable Wireless',..) or hardware switch/button?

The following info would be useful:
$ rpm -q kernel
$ rfkill list
/var/log/messages log

If there is a device blocked in 'rfkill list' output, does 'rfkill unblock all'
help at all?
Comment 2 Mikhail 2012-04-16 13:12:53 EDT
The combo card is represented by two interfaces: wlan0 (WiFi) and wmx0 (WiMAX).
NetworkManager does not provide the ability to configure the interface wmx0. So the same as turning it on.


$ rfkill list
bash: rfkill: command not found

$ ifconfig -a
eth0      Link encap:Ethernet  HWaddr 00:22:15:40:45:99  
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:1
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Memory:fbfc0000-fc000000 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:1542 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1542 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:119596 (116.7 KiB)  TX bytes:119596 (116.7 KiB)

wlan0     Link encap:Ethernet  HWaddr 00:16:EB:18:E7:30  
          inet addr:192.168.1.198  Bcast:192.168.1.255  Mask:255.255.255.0
          inet6 addr: fe80::216:ebff:fe18:e730/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:604 errors:0 dropped:0 overruns:0 frame:0
          TX packets:681 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:252346 (246.4 KiB)  TX bytes:190732 (186.2 KiB)

wmx0      Link encap:Ethernet  HWaddr 00:1D:E1:13:47:31  
          NOARP  MTU:1400  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:20 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
Comment 3 Mikhail 2012-04-16 13:16:12 EDT
Of course I mean software switches (like ON/OFF in gnome-shell)
Comment 4 Jirka Klimes 2012-04-17 04:26:05 EDT
Please install rfkill and run 'rfkill list' again:
# yum install rfkill

Would you also get output of these commands?
$ nmcli nm
$ nmcli dev
$ nmcli dev list iface wlan0
$ nmcli dev list iface wmx0

Get NM logs:
in a terminal
# tail -f /var/log/messages

and restart NM in another terminal
# systemctl restart NetworkManager.service

and attach the logs written to the first terminal.
Thanks.
Comment 5 Mikhail 2012-04-17 15:16:33 EDT
[mikhail@eeepc-900 ~]$ rfkill list
0: eeepc-wlan: Wireless LAN
	Soft blocked: no
	Hard blocked: no
1: i2400m-usb:1-6:1.0: WiMAX
	Soft blocked: yes
	Hard blocked: no
2: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: no
[mikhail@eeepc-900 ~]$ nmcli nm
RUNNING         STATE           WIFI-HARDWARE   WIFI       WWAN-HARDWARE   WWAN      
running         connected       enabled         enabled    enabled         disabled  
[mikhail@eeepc-900 ~]$ nmcli dev
DEVICE     TYPE              STATE        
eth0       802-3-ethernet    unavailable  
wlan0      802-11-wireless   connected    
[mikhail@eeepc-900 ~]$ nmcli dev list iface wlan0
GENERAL.DEVICE:                         wlan0
GENERAL.TYPE:                           802-11-wireless
GENERAL.DRIVER:                         iwlwifi
GENERAL.HWADDR:                         00:16:EB:18:E7:30
GENERAL.STATE:                          connected
CAPABILITIES.CARRIER-DETECT:            no
CAPABILITIES.SPEED:                     72 Mb/s
WIFI-PROPERTIES.WEP:                    yes
WIFI-PROPERTIES.WPA:                    yes
WIFI-PROPERTIES.WPA2:                   yes
WIFI-PROPERTIES.TKIP:                   yes
WIFI-PROPERTIES.CCMP:                   yes
AP1.SSID:                               'qwerty911'
AP1.BSSID:                              F8:D1:11:BC:8E:94
AP1.MODE:                               Infrastructure
AP1.FREQ:                               2447 MHz
AP1.RATE:                               54 MB/s
AP1.SIGNAL:                             22
AP1.SECURITY:                           WPA WPA2
AP1.ACTIVE:                             no
AP2.SSID:                               'beeline-router'
AP2.BSSID:                              F0:7D:68:9A:79:0E
AP2.MODE:                               Infrastructure
AP2.FREQ:                               2422 MHz
AP2.RATE:                               54 MB/s
AP2.SIGNAL:                             19
AP2.SECURITY:                           WPA2
AP2.ACTIVE:                             no
AP3.SSID:                               'PANIPONI_DASH'
AP3.BSSID:                              48:5B:39:BD:58:48
AP3.MODE:                               Infrastructure
AP3.FREQ:                               2472 MHz
AP3.RATE:                               54 MB/s
AP3.SIGNAL:                             25
AP3.SECURITY:                           WPA
AP3.ACTIVE:                             no
AP4.SSID:                               'tmse'
AP4.BSSID:                              14:DA:E9:F8:A8:F6
AP4.MODE:                               Infrastructure
AP4.FREQ:                               2472 MHz
AP4.RATE:                               54 MB/s
AP4.SIGNAL:                             94
AP4.SECURITY:                           WPA2
AP4.ACTIVE:                             yes
IP4-SETTINGS.ADDRESS:                   192.168.1.198
IP4-SETTINGS.PREFIX:                    24 (255.255.255.0)
IP4-SETTINGS.GATEWAY:                   192.168.1.1
IP4-DNS1.DNS:                           192.168.1.1
[mikhail@eeepc-900 ~]$ nmcli dev list iface wmx0
Error: Device 'wmx0' not found.
[mikhail@eeepc-900 ~]$ sudo tail -f /var/log/messages
[sudo] password for mikhail: 
Apr 18 01:13:55 eeepc-900 dbus-daemon[845]: ** Message: entering main loop
Apr 18 01:13:58 eeepc-900 systemd-tmpfiles[3439]: Successfully loaded SELinux database in 46ms 869us, size on heap is 368K.
Apr 18 01:14:25 eeepc-900 dbus-daemon[845]: ** Message: No devices in use, exit
Apr 18 01:15:25 eeepc-900 dbus-daemon[845]: dbus[845]: [system] Activating service name='net.reactivated.Fprint' (using servicehelper)
Apr 18 01:15:25 eeepc-900 dbus[845]: [system] Activating service name='net.reactivated.Fprint' (using servicehelper)
Apr 18 01:15:25 eeepc-900 dbus-daemon[845]: Launching FprintObject
Apr 18 01:15:25 eeepc-900 dbus-daemon[845]: dbus[845]: [system] Successfully activated service 'net.reactivated.Fprint'
Apr 18 01:15:25 eeepc-900 dbus[845]: [system] Successfully activated service 'net.reactivated.Fprint'
Apr 18 01:15:25 eeepc-900 dbus-daemon[845]: ** Message: D-Bus service launched with name: net.reactivated.Fprint
Apr 18 01:15:25 eeepc-900 dbus-daemon[845]: ** Message: entering main loop
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: <info> caught signal 15, shutting down normally.
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: <warn> quit request received, terminating...
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: NetworkManager[2904]: <info> caught signal 15, shutting down normally.
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: NetworkManager[2904]: <warn> quit request received, terminating...
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: NetworkManager[2904]: <info> (eth0): now unmanaged
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: <info> (eth0): now unmanaged
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: NetworkManager[2904]: <info> (eth0): device state change: unavailable -> unmanaged (reason 'removed') [20 10 36]
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: <info> (eth0): device state change: unavailable -> unmanaged (reason 'removed') [20 10 36]
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: NetworkManager[2904]: <info> (eth0): cleaning up...
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: <info> (eth0): cleaning up...
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: <info> (eth0): taking down device.
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: NetworkManager[2904]: <info> (eth0): taking down device.
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: NetworkManager[2904]: <info> (wlan0): now unmanaged
Apr 18 01:15:40 eeepc-900 lldpad[938]: l2_packet_receive - recvfrom: Network is down
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: <info> (wlan0): now unmanaged
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: NetworkManager[2904]: <info> (wlan0): device state change: activated -> unmanaged (reason 'removed') [100 10 36]
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: <info> (wlan0): device state change: activated -> unmanaged (reason 'removed') [100 10 36]
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: NetworkManager[2904]: <info> (wlan0): deactivating device (reason 'removed') [36]
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: <info> (wlan0): deactivating device (reason 'removed') [36]
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: NetworkManager[2904]: <info> (wlan0): canceled DHCP transaction, DHCP client pid 2909
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: <info> (wlan0): canceled DHCP transaction, DHCP client pid 2909
Apr 18 01:15:40 eeepc-900 avahi-daemon[815]: Withdrawing address record for 192.168.1.198 on wlan0.
Apr 18 01:15:40 eeepc-900 avahi-daemon[815]: Leaving mDNS multicast group on interface wlan0.IPv4 with address 192.168.1.198.
Apr 18 01:15:40 eeepc-900 avahi-daemon[815]: Interface wlan0.IPv4 no longer relevant for mDNS.
Apr 18 01:15:40 eeepc-900 kernel: [ 1002.153814] cfg80211: Calling CRDA to update world regulatory domain
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: <info> (wlan0): cleaning up...
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: NetworkManager[2904]: <info> (wlan0): cleaning up...
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: NetworkManager[2904]: <info> (wlan0): taking down device.
Apr 18 01:15:40 eeepc-900 NetworkManager[2904]: <info> (wlan0): taking down device.
Apr 18 01:15:40 eeepc-900 avahi-daemon[815]: Withdrawing address record for fe80::216:ebff:fe18:e730 on wlan0.
Apr 18 01:15:40 eeepc-900 lldpad[938]: l2_packet_receive - recvfrom: Network is down
Apr 18 01:15:41 eeepc-900 dbus-daemon[845]: dbus[845]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Apr 18 01:15:41 eeepc-900 dbus[845]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Apr 18 01:15:41 eeepc-900 NetworkManager[2904]: NetworkManager[2904]: <info> exiting (success)
Apr 18 01:15:41 eeepc-900 NetworkManager[2904]: <info> exiting (success)
Apr 18 01:15:41 eeepc-900 kernel: [ 1002.508567] cfg80211: World regulatory domain updated:
Apr 18 01:15:41 eeepc-900 kernel: [ 1002.508578] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Apr 18 01:15:41 eeepc-900 kernel: [ 1002.508586] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Apr 18 01:15:41 eeepc-900 kernel: [ 1002.508593] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Apr 18 01:15:41 eeepc-900 kernel: [ 1002.508600] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Apr 18 01:15:41 eeepc-900 kernel: [ 1002.508607] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Apr 18 01:15:41 eeepc-900 kernel: [ 1002.508614] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Apr 18 01:15:41 eeepc-900 kernel: [ 1002.508650] cfg80211: Calling CRDA for country: RU
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> NetworkManager (version 0.9.2-1.fc16) is starting...
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> NetworkManager (version 0.9.2-1.fc16) is starting...
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Read config file /etc/NetworkManager/NetworkManager.conf
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> Read config file /etc/NetworkManager/NetworkManager.conf
Apr 18 01:15:41 eeepc-900 kernel: [ 1002.558317] cfg80211: Regulatory domain changed to country: RU
Apr 18 01:15:41 eeepc-900 kernel: [ 1002.558325] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Apr 18 01:15:41 eeepc-900 kernel: [ 1002.558333] cfg80211:   (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Apr 18 01:15:41 eeepc-900 kernel: [ 1002.558340] cfg80211:   (5735000 KHz - 5835000 KHz @ 20000 KHz), (N/A, 3000 mBm)
Apr 18 01:15:41 eeepc-900 dbus-daemon[845]: dbus[845]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Apr 18 01:15:41 eeepc-900 dbus[845]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> VPN: loaded org.freedesktop.NetworkManager.pptp
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> VPN: loaded org.freedesktop.NetworkManager.pptp
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> VPN: loaded org.freedesktop.NetworkManager.openconnect
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> VPN: loaded org.freedesktop.NetworkManager.openconnect
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> VPN: loaded org.freedesktop.NetworkManager.openvpn
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> VPN: loaded org.freedesktop.NetworkManager.openvpn
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> VPN: loaded org.freedesktop.NetworkManager.vpnc
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> VPN: loaded org.freedesktop.NetworkManager.vpnc
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]:    ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]:    ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Loaded plugin keyfile: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> Loaded plugin keyfile: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-tmse ...
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-tmse ... 
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]:    ifcfg-rh:     read connection 'tmse'
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]:    ifcfg-rh:     read connection 'tmse'
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ...
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ... 
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> modem-manager is now available
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> modem-manager is now available
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> monitoring kernel firmware directory '/lib/firmware'.
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> monitoring kernel firmware directory '/lib/firmware'.
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> found WiFi radio killswitch rfkill2 (at /sys/devices/pci0000:00/0000:00:1c.2/0000:01:00.0/ieee80211/phy0/rfkill2) (driver (unknown))
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> found WiFi radio killswitch rfkill2 (at /sys/devices/pci0000:00/0000:00:1c.2/0000:01:00.0/ieee80211/phy0/rfkill2) (driver (unknown))
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> found WiMAX radio killswitch rfkill1 (at /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6/1-6:1.0/rfkill/rfkill1) (driver i2400m_usb)
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> found WiMAX radio killswitch rfkill1 (at /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6/1-6:1.0/rfkill/rfkill1) (driver i2400m_usb)
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> found WiFi radio killswitch rfkill0 (at /sys/devices/platform/eeepc/rfkill/rfkill0) (driver eeepc)
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> found WiFi radio killswitch rfkill0 (at /sys/devices/platform/eeepc/rfkill/rfkill0) (driver eeepc)
Apr 18 01:15:41 eeepc-900 dbus[845]: [system] Activating via systemd: service name='org.bluez' unit='dbus-org.bluez.service'
Apr 18 01:15:41 eeepc-900 dbus-daemon[845]: dbus[845]: [system] Activating via systemd: service name='org.bluez' unit='dbus-org.bluez.service'
Apr 18 01:15:41 eeepc-900 dbus-daemon[845]: dbus[845]: [system] Activation via systemd failed for unit 'dbus-org.bluez.service': Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.bluez.service' for details.
Apr 18 01:15:41 eeepc-900 dbus[845]: [system] Activation via systemd failed for unit 'dbus-org.bluez.service': Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.bluez.service' for details.
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> WiFi enabled by radio killswitch; enabled by state file
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> WiFi enabled by radio killswitch; enabled by state file
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> WWAN enabled by radio killswitch; enabled by state file
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> WWAN enabled by radio killswitch; enabled by state file
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> WiMAX disabled by radio killswitch; enabled by state file
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> WiMAX disabled by radio killswitch; enabled by state file
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Networking is enabled by state file
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> Networking is enabled by state file
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (eth0): carrier is OFF
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> (eth0): carrier is OFF
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (eth0): new Ethernet device (driver: 'atl2' ifindex: 2)
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> (eth0): new Ethernet device (driver: 'atl2' ifindex: 2)
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (eth0): exported as /org/freedesktop/NetworkManager/Devices/0
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> (eth0): exported as /org/freedesktop/NetworkManager/Devices/0
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (eth0): now managed
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> (eth0): now managed
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (eth0): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> (eth0): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (eth0): bringing up device.
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> (eth0): bringing up device.
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (eth0): preparing device.
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> (eth0): preparing device.
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (eth0): deactivating device (reason 'managed') [2]
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> (eth0): deactivating device (reason 'managed') [2]
Apr 18 01:15:41 eeepc-900 kernel: [ 1003.059767] ADDRCONF(NETDEV_UP): eth0: link is not ready
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Added default wired connection 'Wired connection 1' for /sys/devices/pci0000:00/0000:00:1c.1/0000:03:00.0/net/eth0
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> Added default wired connection 'Wired connection 1' for /sys/devices/pci0000:00/0000:00:1c.1/0000:03:00.0/net/eth0
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): driver supports SSID scans (scan_capa 0x01).
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> (wlan0): driver supports SSID scans (scan_capa 0x01).
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): new 802.11 WiFi device (driver: 'iwlwifi' ifindex: 4)
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> (wlan0): new 802.11 WiFi device (driver: 'iwlwifi' ifindex: 4)
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): exported as /org/freedesktop/NetworkManager/Devices/1
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> (wlan0): exported as /org/freedesktop/NetworkManager/Devices/1
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): now managed
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> (wlan0): now managed
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> (wlan0): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): bringing up device.
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> (wlan0): bringing up device.
Apr 18 01:15:41 eeepc-900 kernel: [ 1003.087424] iwlwifi 0000:01:00.0: L1 Disabled; Enabling L0S
Apr 18 01:15:41 eeepc-900 kernel: [ 1003.090167] iwlwifi 0000:01:00.0: Radio type=0x1-0x1-0x0
Apr 18 01:15:41 eeepc-900 kernel: [ 1003.131476] ADDRCONF(NETDEV_UP): wlan0: link is not ready
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): preparing device.
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> (wlan0): preparing device.
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): deactivating device (reason 'managed') [2]
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> (wlan0): deactivating device (reason 'managed') [2]
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <warn> bluez error getting default adapter: Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.bluez.service' for details.
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <warn> bluez error getting default adapter: Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.bluez.service' for details.
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): supplicant interface state: starting -> ready
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> (wlan0): supplicant interface state: starting -> ready
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): device state change: unavailable -> disconnected (reason 'supplicant-available') [20 30 42]
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> (wlan0): device state change: unavailable -> disconnected (reason 'supplicant-available') [20 30 42]
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: <info> (wlan0): supplicant interface state: ready -> inactive
Apr 18 01:15:41 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): supplicant interface state: ready -> inactive
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Auto-activating connection 'tmse'.
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: <info> Auto-activating connection 'tmse'.
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) starting connection 'tmse'
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) starting connection 'tmse'
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: <info> (wlan0): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): device state change: prepare -> config (reason 'none') [40 50 0]
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: <info> (wlan0): device state change: prepare -> config (reason 'none') [40 50 0]
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0/wireless): connection 'tmse' has security, and secrets exist.  No new secrets needed.
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0/wireless): connection 'tmse' has security, and secrets exist.  No new secrets needed.
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Config: added 'ssid' value 'tmse'
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: <info> Config: added 'ssid' value 'tmse'
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Config: added 'scan_ssid' value '1'
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: <info> Config: added 'scan_ssid' value '1'
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Config: added 'key_mgmt' value 'WPA-PSK'
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: <info> Config: added 'key_mgmt' value 'WPA-PSK'
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Config: added 'psk' value '<omitted>'
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: <info> Config: added 'psk' value '<omitted>'
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Config: added 'proto' value 'WPA RSN'
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: <info> Config: added 'proto' value 'WPA RSN'
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Apr 18 01:15:43 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Apr 18 01:15:44 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Config: set interface ap_scan to 1
Apr 18 01:15:44 eeepc-900 NetworkManager[3521]: <info> Config: set interface ap_scan to 1
Apr 18 01:15:44 eeepc-900 NetworkManager[3521]: <info> (wlan0): supplicant interface state: inactive -> scanning
Apr 18 01:15:44 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): supplicant interface state: inactive -> scanning
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): supplicant interface state: authenticating -> associating
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info> (wlan0): supplicant interface state: authenticating -> associating
Apr 18 01:15:45 eeepc-900 kernel: [ 1006.458965] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
Apr 18 01:15:45 eeepc-900 kernel: [ 1006.459126] cfg80211: Calling CRDA for country: GB
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info> (wlan0): supplicant interface state: associating -> associated
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): supplicant interface state: associating -> associated
Apr 18 01:15:45 eeepc-900 kernel: [ 1006.494312] cfg80211: Regulatory domain changed to country: GB
Apr 18 01:15:45 eeepc-900 kernel: [ 1006.494322] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Apr 18 01:15:45 eeepc-900 kernel: [ 1006.494329] cfg80211:   (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Apr 18 01:15:45 eeepc-900 kernel: [ 1006.494336] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Apr 18 01:15:45 eeepc-900 kernel: [ 1006.494343] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Apr 18 01:15:45 eeepc-900 kernel: [ 1006.494349] cfg80211:   (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info> (wlan0): supplicant interface state: associated -> 4-way handshake
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): supplicant interface state: associated -> 4-way handshake
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info> (wlan0): supplicant interface state: 4-way handshake -> completed
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0/wireless) Stage 2 of 5 (Device Configure) successful.  Connected to wireless network 'tmse'.
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) Stage 3 of 5 (IP Configure Start) scheduled.
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) Stage 3 of 5 (IP Configure Start) started...
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info> (wlan0): device state change: config -> ip-config (reason 'none') [50 70 0]
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): supplicant interface state: 4-way handshake -> completed
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0/wireless) Stage 2 of 5 (Device Configure) successful.  Connected to wireless network 'tmse'.
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) Stage 3 of 5 (IP Configure Start) scheduled.
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) Stage 3 of 5 (IP Configure Start) started...
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): device state change: config -> ip-config (reason 'none') [50 70 0]
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) Beginning DHCPv4 transaction (timeout in 45 seconds)
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) Beginning DHCPv4 transaction (timeout in 45 seconds)
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> dhclient started with pid 3528
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info> dhclient started with pid 3528
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) Beginning IP6 addrconf.
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) Beginning IP6 addrconf.
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) Stage 3 of 5 (IP Configure Start) complete.
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) Stage 3 of 5 (IP Configure Start) complete.
Apr 18 01:15:45 eeepc-900 dhclient[3528]: Internet Systems Consortium DHCP Client 4.2.3-P2
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: Internet Systems Consortium DHCP Client 4.2.3-P2
Apr 18 01:15:45 eeepc-900 dhclient[3528]: Copyright 2004-2012 Internet Systems Consortium.
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: Copyright 2004-2012 Internet Systems Consortium.
Apr 18 01:15:45 eeepc-900 dhclient[3528]: All rights reserved.
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: All rights reserved.
Apr 18 01:15:45 eeepc-900 dhclient[3528]: For info, please visit https://www.isc.org/software/dhcp/
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: For info, please visit https://www.isc.org/software/dhcp/
Apr 18 01:15:45 eeepc-900 dhclient[3528]: 
Apr 18 01:15:45 eeepc-900 dhclient[3528]: Listening on LPF/wlan0/00:16:eb:18:e7:30
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: Listening on LPF/wlan0/00:16:eb:18:e7:30
Apr 18 01:15:45 eeepc-900 dhclient[3528]: Sending on   LPF/wlan0/00:16:eb:18:e7:30
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: Sending on   LPF/wlan0/00:16:eb:18:e7:30
Apr 18 01:15:45 eeepc-900 dhclient[3528]: Sending on   Socket/fallback
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: Sending on   Socket/fallback
Apr 18 01:15:45 eeepc-900 dhclient[3528]: DHCPREQUEST on wlan0 to 255.255.255.255 port 67
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: DHCPREQUEST on wlan0 to 255.255.255.255 port 67
Apr 18 01:15:45 eeepc-900 dhclient[3528]: DHCPACK from 192.168.1.1
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: DHCPACK from 192.168.1.1
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): DHCPv4 state changed nbi -> preinit
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info> (wlan0): DHCPv4 state changed nbi -> preinit
Apr 18 01:15:45 eeepc-900 dhclient[3528]: bound to 192.168.1.198 -- renewal in 33202 seconds.
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: bound to 192.168.1.198 -- renewal in 33202 seconds.
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info> (wlan0): DHCPv4 state changed preinit -> reboot
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) Stage 4 of 5 (IP4 Configure Get) scheduled...
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): DHCPv4 state changed preinit -> reboot
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) Stage 4 of 5 (IP4 Configure Get) scheduled...
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) Stage 4 of 5 (IP4 Configure Get) started...
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info>   address 192.168.1.198
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info>   prefix 24 (255.255.255.0)
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info>   gateway 192.168.1.1
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info>   hostname 'eeepc-900'
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info>   nameserver '192.168.1.1'
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) Stage 4 of 5 (IP4 Configure Get) started...
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info>   address 192.168.1.198
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info>   prefix 24 (255.255.255.0)
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info>   gateway 192.168.1.1
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info>   hostname 'eeepc-900'
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info>   nameserver '192.168.1.1'
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) Stage 4 of 5 (IP4 Configure Get) complete.
Apr 18 01:15:45 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) Stage 4 of 5 (IP4 Configure Get) complete.
Apr 18 01:15:46 eeepc-900 avahi-daemon[815]: Registering new address record for fe80::216:ebff:fe18:e730 on wlan0.*.
Apr 18 01:15:46 eeepc-900 kernel: [ 1007.614101] wlan0: IPv6 duplicate address fe80::216:ebff:fe18:e730 detected!
Apr 18 01:15:55 eeepc-900 dbus-daemon[845]: ** Message: No devices in use, exit
Apr 18 01:16:05 eeepc-900 NetworkManager[3521]: <info> (wlan0): IP6 addrconf timed out or failed.
Apr 18 01:16:05 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) Stage 4 of 5 (IP6 Configure Timeout) scheduled...
Apr 18 01:16:05 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) Stage 4 of 5 (IP6 Configure Timeout) started...
Apr 18 01:16:05 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) Stage 5 of 5 (IP Configure Commit) scheduled...
Apr 18 01:16:05 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) Stage 4 of 5 (IP6 Configure Timeout) complete.
Apr 18 01:16:05 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) Stage 5 of 5 (IP Configure Commit) started...
Apr 18 01:16:05 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): IP6 addrconf timed out or failed.
Apr 18 01:16:05 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) Stage 4 of 5 (IP6 Configure Timeout) scheduled...
Apr 18 01:16:05 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) Stage 4 of 5 (IP6 Configure Timeout) started...
Apr 18 01:16:05 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) Stage 5 of 5 (IP Configure Commit) scheduled...
Apr 18 01:16:05 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) Stage 4 of 5 (IP6 Configure Timeout) complete.
Apr 18 01:16:05 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) Stage 5 of 5 (IP Configure Commit) started...
Apr 18 01:16:05 eeepc-900 avahi-daemon[815]: Joining mDNS multicast group on interface wlan0.IPv4 with address 192.168.1.198.
Apr 18 01:16:05 eeepc-900 avahi-daemon[815]: New relevant interface wlan0.IPv4 for mDNS.
Apr 18 01:16:05 eeepc-900 avahi-daemon[815]: Registering new address record for 192.168.1.198 on wlan0.IPv4.
Apr 18 01:16:06 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> (wlan0): device state change: ip-config -> activated (reason 'none') [70 100 0]
Apr 18 01:16:06 eeepc-900 NetworkManager[3521]: <info> (wlan0): device state change: ip-config -> activated (reason 'none') [70 100 0]
Apr 18 01:16:07 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Policy set 'tmse' (wlan0) as default for IPv4 routing and DNS.
Apr 18 01:16:07 eeepc-900 NetworkManager[3521]: <info> Policy set 'tmse' (wlan0) as default for IPv4 routing and DNS.
Apr 18 01:16:07 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) successful, device activated.
Apr 18 01:16:07 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) successful, device activated.
Apr 18 01:16:07 eeepc-900 dbus-daemon[845]: dbus[845]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Apr 18 01:16:07 eeepc-900 dbus[845]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Apr 18 01:16:07 eeepc-900 NetworkManager[3521]: NetworkManager[3521]: <info> Activation (wlan0) Stage 5 of 5 (IP Configure Commit) complete.
Apr 18 01:16:07 eeepc-900 NetworkManager[3521]: <info> Activation (wlan0) Stage 5 of 5 (IP Configure Commit) complete.
Apr 18 01:16:07 eeepc-900 dbus-daemon[845]: dbus[845]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Apr 18 01:16:07 eeepc-900 dbus[845]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Apr 18 01:16:07 eeepc-900 dbus-daemon[845]: Starting iscsi (via systemctl):  [  OK  ]
Apr 18 01:16:07 eeepc-900 dbus-daemon[845]: Mounting other filesystems:  [  OK  ]
Comment 6 Dan Williams 2012-04-19 19:20:37 EDT
Jirka: With the Intel cards, you cannot use WiFi and WiMAX at the same time as they share an antenna and associate power amplifiers on the hardware.  The way this works in Windows is that you must manually switch between wifi and wimax using some Intel applet.

On Linux we don't have this capability because at the moment there's no way to match up the WiFi device with it's associated WiMAX device.  The WiFi device is a PCI-E device, while the WiMAX device is a USB device.  The PCI-E minicard connector has pins for both PCI-E and USB but of course since they're on completely different buses, there's no way to tie them together.

We can only make a guess that if the system contains both an i2400m-driven WiMAX device and an Intel wifi card that they are the same hardware.  Then we need some logic to make WiMAX and WiFi mutually exclusive using rfkill.
Comment 7 Mikhail 2012-10-25 11:15:00 EDT
Today after upgrade kernel to 3.6.3-3.fc18.i686 NetworkManager became seen WiMAX card as Wired device.
Comment 8 Mikhail 2012-10-25 11:18:40 EDT
Created attachment 633407 [details]
screenshot of NetworkManager applet
Comment 9 Dan Williams 2012-10-25 11:41:47 EDT
(In reply to comment #7)
> Today after upgrade kernel to 3.6.3-3.fc18.i686 NetworkManager became seen
> WiMAX card as Wired device.

Can you grab /var/log/messages that show NM's log output?  You can also:

systemctl mask NetworkManager.service
systemctl stop NetworkManager.service
/usr/sbin/NetworkManager --no-daemon --log-level=debug

for a lot more log information that would be useful to debug this.  To get back to normal:

Ctl+C NetworkManager
systemctl enable NetworkManager.service
systemctl restart NetworkManager.service
Comment 10 Mikhail 2012-10-25 11:50:39 EDT
Created attachment 633433 [details]
/var/log/messages
Comment 11 Mikhail 2012-10-25 11:55:02 EDT
(In reply to comment #9)
> systemctl mask NetworkManager.service
> systemctl stop NetworkManager.service
> /usr/sbin/NetworkManager --no-daemon --log-level=debug
> 
> for a lot more log information that would be useful to debug this.  To get
> back to normal:
> 
> Ctl+C NetworkManager
> systemctl enable NetworkManager.service
> systemctl restart NetworkManager.service

[mikhail@localhost ~]$ su -
Password: 
[root@localhost ~]# systemctl mask NetworkManager.service
ln -s '/dev/null' '/etc/systemd/system/NetworkManager.service'
[root@localhost ~]# systemctl stop NetworkManager.service
Failed to issue method call: Access denied
Failed to issue method call: Access denied
[root@localhost ~]# /usr/sbin/NetworkManager --no-daemon --log-level=debug
NetworkManager[6495]: <info> NetworkManager (version 0.9.7.0-6.git20121004.fc18) is starting...
NetworkManager[6495]: <info> Read config file /etc/NetworkManager/NetworkManager.conf
NetworkManager[6495]: <info> WEXT support is enabled
NetworkManager[6495]: <info> VPN: loaded org.freedesktop.NetworkManager.openvpn
NetworkManager[6495]: <info> VPN: loaded org.freedesktop.NetworkManager.pptp
NetworkManager[6495]: <info> VPN: loaded org.freedesktop.NetworkManager.vpnc
NetworkManager[6495]: <info> VPN: loaded org.freedesktop.NetworkManager.openconnect
NetworkManager[6495]:    ifcfg-rh: Couldn't acquire ifcfgrh1 D-Bus service (already taken)
NetworkManager[6495]:    ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
NetworkManager[6495]: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
NetworkManager[6495]: <info> Loaded plugin keyfile: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
NetworkManager[6495]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-tmse ... 
NetworkManager[6495]:    ifcfg-rh:     read connection 'tmse'
NetworkManager[6495]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ... 
NetworkManager[6495]:    keyfile: parsing Megafon RUS ... 
NetworkManager[6495]:    keyfile:     read connection 'Megafon RUS'
NetworkManager[6495]:    keyfile: parsing Megafon RUS-e0b91bb0-d4ca-4d73-a1b7-9ac1c1fac5ef ... 
NetworkManager[6495]:    keyfile:     read connection 'Megafon RUS'
NetworkManager[6495]: <info> modem-manager is now available
NetworkManager[6495]: <info> monitoring kernel firmware directory '/lib/firmware'.
NetworkManager[6495]: <info> rfkill8: found WiFi radio killswitch (at /sys/devices/pci0000:00/0000:00:1c.2/0000:01:00.0/ieee80211/phy3/rfkill8) (driver iwlwifi)
NetworkManager[6495]: <info> rfkill7: found WiMAX radio killswitch (at /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6/1-6:1.0/rfkill/rfkill7) (driver i2400m_usb)
NetworkManager[6495]: <info> rfkill0: found WiFi radio killswitch (at /sys/devices/platform/eeepc/rfkill/rfkill0) (platform driver eeepc)
NetworkManager[6495]: <debug> [1351180406.955100] [nm-udev-manager.c:216] recheck_killswitches(): WiFi rfkill platform switch rfkill0 state now 1/0
NetworkManager[6495]: <debug> [1351180406.955614] [nm-udev-manager.c:216] recheck_killswitches(): WiMAX rfkill switch rfkill7 state now 0/1
NetworkManager[6495]: <debug> [1351180406.956057] [nm-udev-manager.c:216] recheck_killswitches(): WiFi rfkill switch rfkill8 state now 1/0
NetworkManager[6495]: <debug> [1351180406.956614] [nm-udev-manager.c:243] recheck_killswitches(): WiMAX rfkill state now 'soft-blocked'
NetworkManager[6495]: <debug> [1351180406.967745] [nm-firewall-manager.c:248] nm_firewall_manager_init(): firewall is running
NetworkManager[6495]: <error> [1351180406.990170] [nm-dbus-manager.c:338] nm_dbus_manager_start_service(): Could not acquire the NetworkManager service as it is already taken.
NetworkManager[6495]: <error> [1351180406.990320] [main.c:634] main(): failed to start the dbus service.
NetworkManager[6495]: <info> exiting (error)
[root@localhost ~]# ^C
[root@localhost ~]# systemctl enable NetworkManager.service
ln -s '/usr/lib/systemd/system/NetworkManager-wait-online.service' '/etc/systemd/system/network.target.wants/NetworkManager-wait-online.service'
[root@localhost ~]# systemctl restart NetworkManager.service
Failed to issue method call: Access denied
[root@localhost ~]#
Comment 12 Dan Williams 2013-11-12 10:54:40 EST
This is unlikely to get fixed in F18/F19, and Fedora 20 has removed the WiMAX stack and kernel modules.
Comment 13 Mikhail 2013-11-12 14:28:21 EST
Now, WiMAX will not work in general on Linux?

Note You need to log in before you can comment on or make changes to this bug.